# Changelog

## [v0.30.5](https://github.com/go-swagger/go-swagger/tree/v0.30.5) (2023-06-10)

[Full Changelog](https://github.com/go-swagger/go-swagger/compare/v0.30.4...v0.30.5)

**Implemented enhancements:**

- feat: `swagger mixin -c all` [\#2297](https://github.com/go-swagger/go-swagger/issues/2297)
- Server hangs given a panic in configure\_ [\#1655](https://github.com/go-swagger/go-swagger/issues/1655)

**Closed issues:**

- Default client error lacks context which is the failing operation [\#2945](https://github.com/go-swagger/go-swagger/issues/2945)
- Coverity issue shows up after using pattern keyword for string data type [\#2941](https://github.com/go-swagger/go-swagger/issues/2941)
- go-swagger install error [\#2934](https://github.com/go-swagger/go-swagger/issues/2934)
- \[Proposal\] Introducing new compatibility level "Warning" for changes which are technically non-breaking but can cause unforeseen behavior change for client [\#2932](https://github.com/go-swagger/go-swagger/issues/2932)
- Diff tool does not find differences in form params [\#2929](https://github.com/go-swagger/go-swagger/issues/2929)
- Problem generate definitions of models [\#2910](https://github.com/go-swagger/go-swagger/issues/2910)
- Version v0.30.4 generates incomplete spec [\#2904](https://github.com/go-swagger/go-swagger/issues/2904)
- Response schema is not generated [\#2902](https://github.com/go-swagger/go-swagger/issues/2902)
- Swagger parser ignores response entries when there's an extension [\#2901](https://github.com/go-swagger/go-swagger/issues/2901)
- DIFF command panics when definition property type changes from an array to a non-array type [\#2894](https://github.com/go-swagger/go-swagger/issues/2894)
- Generated client not compiled when x-go-name is specified [\#2892](https://github.com/go-swagger/go-swagger/issues/2892)

**Merged pull requests:**

- Use proper operation name in default client error [\#2947](https://github.com/go-swagger/go-swagger/pull/2947) ([petar-dochev-f3](https://github.com/petar-dochev-f3))
- fix timeout of golangci-lint [\#2946](https://github.com/go-swagger/go-swagger/pull/2946) ([satorunooshie](https://github.com/satorunooshie))
- Fix typo in operation.go [\#2943](https://github.com/go-swagger/go-swagger/pull/2943) ([steambap](https://github.com/steambap))
- Fix typo in faq doc [\#2937](https://github.com/go-swagger/go-swagger/pull/2937) ([ChandanChainani](https://github.com/ChandanChainani))
- extension diff support [\#2936](https://github.com/go-swagger/go-swagger/pull/2936) ([zmay2030](https://github.com/zmay2030))
- feat\(diff\): introducing warning compatibility level [\#2933](https://github.com/go-swagger/go-swagger/pull/2933) ([schafle](https://github.com/schafle))
- fix\(diff\): swagger diff is not working for certain cases  [\#2931](https://github.com/go-swagger/go-swagger/pull/2931) ([schafle](https://github.com/schafle))
- Fixed panic in AddMiddlewareFor method if method is not uppercase [\#2928](https://github.com/go-swagger/go-swagger/pull/2928) ([iv-menshenin](https://github.com/iv-menshenin))
- Skip `ContextValidate` when the field is `nil` avoiding a panic fixing \#2911 [\#2927](https://github.com/go-swagger/go-swagger/pull/2927) ([romainbou](https://github.com/romainbou))
- Fixes PropertiesSpecOrder not being used [\#2925](https://github.com/go-swagger/go-swagger/pull/2925) ([bg451](https://github.com/bg451))
- Fix parameters order [\#2921](https://github.com/go-swagger/go-swagger/pull/2921) ([inercia](https://github.com/inercia))
- docs: fix typo in docs/use/spec.md [\#2916](https://github.com/go-swagger/go-swagger/pull/2916) ([davidhsingyuchen](https://github.com/davidhsingyuchen))
- test: use T.TempDir and T.Setenv to simplify code [\#2914](https://github.com/go-swagger/go-swagger/pull/2914) ([alexandear](https://github.com/alexandear))
- handles scenario when a def in v1 changes from array to non-array typ… [\#2895](https://github.com/go-swagger/go-swagger/pull/2895) ([zmay2030](https://github.com/zmay2030))
- Fixed generation SetDefaults for client when x-go-name is specified [\#2893](https://github.com/go-swagger/go-swagger/pull/2893) ([asv](https://github.com/asv))



\* *This Changelog was automatically generated by [github_changelog_generator](https://github.com/github-changelog-generator/github-changelog-generator)*
